Foxy Forum Status

We're no longer responding to questions via our forum, but we will keep it up for historical reasons. If you can't find the answer you're looking for, please visit our knowledge base or contact us. If there's enough interest in the future, we may bring the forum back.

Can i downgrade a new store to 1.1?

Hi,

I'm running a site that uses 5 foxy stores to support multiple currency and languages.

My 5th store (my Spanish one, babblekidses.foxycart.com) is a new store and i only have the choice of making it version v2.0. However all my other stores are old ones and are all on v1.1.

Can i downgrade my Spanish one to 1.1 too so that i can keep a consistent approach to my templates, javascript, IPN etc? Not least because I'm using custom shipping and my 1.1 code does not seem to work on 2.0 (Error: Unable to set property 'customShipping' of undefined or null reference).

I cannot do this via the admin UI, can you do this for me?

I will bring them all up to 2.0 at some point but I want to do it in a structured, planned way - not being forced to before I'm ready.

Regards
Comments
  • fc_adamfc_adam FoxyCart Team
    @babblebib,

    Certainly, I'll do that now.
  • Thanks - I've checked now whilst I can see that the version is now 1.1, I'm getting this error when trying to access the checkout page:

    "Lo sentimos, la tienda que usted Solicito no se encuentra o no ha sido configurada con una plantilla de compra y opcion de categoría de producto. Por favor regresa mas tarde."

    which roughly translates to:

    "Sorry, the store you request is not found or is not configured with a workforce of purchase and product category option. Please come back later."

    You can replicate this yourself by going to https://babblekidses.foxycart.com/cart?empty=true&cart=checkout&0:name=Red Polka Dot&0:price=4.50&0:code=REDPOLKADOT-BT-BB&0:quantity=1

    I have re-cached all the templates and checked all the other settings look right
  • fc_adamfc_adam FoxyCart Team
    @babblebib,

    Looking at the store - you're missing the cart and email templates. If you set those up you should be good to go.
  • We are getting there! :)

    I now get my custom template, but the main checkout section is missing. instead I see ^^checkout^^ .

    I've re-cached all templates.
  • fc_adamfc_adam FoxyCart Team
    @babblebib,

    There was perhaps a caching issue present there - I just re-saved your checkout and it's loading fine now. You'll want to double-check your cart templates, they look like 2.0 based templates.
  • yes i think there was a browser cache issue because i was still seeing v2.0 UI in the admin screens. I just cleared my browser cache and re-cached the templates and all is good, seems to be working as expected now.

    Thanks for your help.
  • Hi, I've added a 'dev' store to test some new features on, can you also downgrade that to 1.1? The store URL is 'babblekidsdev'
  • fc_adamfc_adam FoxyCart Team
    @babblebib - done!
Sign In or Register to comment.